auth_comp128v1.c File Reference

GSM/GPRS/3G authentication core infrastructure. More...

`#include <osmocom/crypt/auth.h>`
`#include <osmocom/gsm/comp128.h>`

## Functions

static int | c128v1_gen_vec (struct osmo_auth_vector *vec, struct osmo_sub_auth_data *aud, const uint8_t *_rand)
static | __attribute__ ((constructor))

## Variables

static struct osmo_auth_impl | c128v1_alg

## Detailed Description

GSM/GPRS/3G authentication core infrastructure.